Responses
A successful update will return HTTP 200 OK along with the contact’s purchase history summary as the response body. That will look like this:- 404: RetailKpiNotCalculated: The contact ID given was not found in the database.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
IMPORTANT: We're updating product naming across our documentation. Engage is now Customer Engagement and Elevate is now Product Discovery. This doesn't change Voyado's services, functionality, or terms of your agreement. Be aware, as these changes happen, that you may see both the old and new names being used.
GET /api/v3/contacts/{contactId}/purchasehistorysummary
{
"lastUpdated": "2025-09-05T14:53:50.4905776+02:00",
"purchaseAmountAll": 2219.26,
"numberOfArticlePurchasesAll": 3,
"averageReceiptAll": 2219.26,
"latestReceiptDate": "2023-09-05T14:53:50.4905776+02:00",
"purchaseFrequencyAll": 1,
"purchaseAmountLastYear": 0,
"numberOfArticlePurchasesLastYear": 0,
"averageReceiptLastYear": 0,
"purchaseFrequencyLastYear": 1,
"purchaseAmountLastTwoYears": 2219.26,
"numberOfArticlePurchasesLastTwoYears": 3,
"averageReceiptLastTwoYears": 2219.26,
"purchaseFrequencyLastTwoYears": 2219.26
}